Table of Contents

Class: TwistedWordsPerson | Twisted-0.19.0/twisted/im/pbsupport.py
--- | ---
I a facade for a person you can talk to through a twisted.words service.
Base Classes |
--- | ---
basesupport.AbstractPerson
Methods |
--- | ---
__init__ getStatus isOnline metadataFailed sendMessage setStatus
| __init__
    __init__ (
            self,
            name,
            wordsClient,
            chatui,
            )
| getStatus
    getStatus ( self )
| isOnline
    isOnline ( self )
| metadataFailed
    metadataFailed (
            self,
            result,
            text,
            )
| sendMessage
    sendMessage (
            self,
            text,
            metadata,
            )
Return a deferred...
| setStatus
    setStatus ( self,  status )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:38 2002 by HappyDoc version 2.0